"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkActivate = void 0;
const vscode = require("vscode");
const persist_1 = require("./persist");
function checkActivate(context, onActivate) {
    // Must be opened in a workspace
    if (!vscode.workspace.workspaceFolders) {
        console.log('not open in a workspace');
        return;
    }
    const state = (0, persist_1.getState)(context);
    if (state.asked || state.enabled) {
        console.log('asked or enabled');
        return;
    }
    checkIsModEnvironment().then(result => {
        if (result) {
            console.log('is mod environment');
            askActivation().then(answer => {
                console.log("Answered", answer);
                state.enabled = answer;
                if (answer) {
                    console.log("User accepted, activating...");
                    onActivate(context);
                    vscode.window.showInformationMessage("Lexis Lua loaded!");
                }
                ;
                state.asked = true;
            });
        }
        else {
            console.log('not mod environment');
        }
    });
}
exports.checkActivate = checkActivate;
async function askActivation() {
    const yesItem = { title: 'Yes' };
    const noItem = { title: 'No' };
    const out = await vscode.window.showInformationMessage('Would you like to load the Lexis Lua extension?', yesItem, noItem);
    return out === yesItem;
}
async function checkIsModEnvironment() {
    return (await vscode.workspace.findFiles('**.lua')).length > 0;
}
//# sourceMappingURL=activationCheck.js.map