"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getState = void 0;
function getState(context) {
    return new StateImpl(context);
}
exports.getState = getState;
class StateImpl {
    constructor(context) {
        this._state = context.workspaceState;
        this._enabled = this._state.get('enabled') || false;
        this._asked = this._state.get('asked') || false;
    }
    get enabled() {
        return this._enabled;
    }
    set enabled(value) {
        this._enabled = value;
        this.update("enabled", value);
    }
    get asked() {
        return this._asked;
    }
    set asked(value) {
        this._asked = value;
        this.update("asked", value);
    }
    update(key, value) {
        this._state.update(key, value);
    }
}
//# sourceMappingURL=persist.js.map